PrefabFiles = {
	"melissa",
	"melissa_none",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/melissa.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/melissa.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/melissa.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/melissa.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/melissa_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/melissa_silho.xml" ),

    Asset( "IMAGE", "bigportraits/melissa.tex" ),
    Asset( "ATLAS", "bigportraits/melissa.xml" ),
	
	Asset( "IMAGE", "images/map_icons/melissa.tex" ),
	Asset( "ATLAS", "images/map_icons/melissa.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_melissa.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_melissa.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_melissa.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_melissa.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_melissa.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_melissa.xml" ),
	
	Asset( "IMAGE", "images/names_melissa.tex" ),
    Asset( "ATLAS", "images/names_melissa.xml" ),
	
	Asset( "IMAGE", "images/names_gold_melissa.tex" ),
    Asset( "ATLAS", "images/names_gold_melissa.xml" ),
	
    Asset( "IMAGE", "bigportraits/melissa_none.tex" ),
    Asset( "ATLAS", "bigportraits/melissa_none.xml" ),

}

AddMinimapAtlas("images/map_icons/melissa.xml")

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.melissa = "The Pink One"
STRINGS.CHARACTER_NAMES.melissa = "Esc"
STRINGS.CHARACTER_DESCRIPTIONS.melissa = "*Perk 1\n*Perk 2\n*Perk 3"
STRINGS.CHARACTER_QUOTES.melissa = "\"!!!\""

-- Custom speech strings
STRINGS.CHARACTERS.MELISSA = require "speech_melissa"

-- The character's name as appears in-game 
STRINGS.NAMES.melissa = "Esc"

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("melissa", "FEMALE")

